Extract entities from a phrase
POST
/v1/adapters/ids/entities/extract
const url = 'https://example.com/v1/adapters/ids/entities/extract';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"types":["example"],"language":"example","time_zone":"example","timestamp":1,"phrase":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/adapters/ids/entities/extract \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "types": [ "example" ], "language": "example", "time_zone": "example", "timestamp": 1, "phrase": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
types
required
Array<string>
language
required
string
time_zone
string
timestamp
integer format: int64
phrase
required
string
Examplegenerated
{ "types": [ "example" ], "language": "example", "time_zone": "example", "timestamp": 1, "phrase": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
type
required
string
value
required
Shape depends on the entity type (e.g. date, time, address, phone-number).
object
key
additional properties
any
Examplegenerated
[ { "type": "example", "value": {} }]No entities extracted
Bad request
Media typeapplication/json
object
name
required
string
message
required
string
code
required
integer
status
required
integer
Examplegenerated
{ "name": "example", "message": "example", "code": 1, "status": 1}Unauthorized
Forbidden
Bad gateway (upstream adapter error)